﻿using System;
using System.IO.Ports;
using System.Windows.Forms;

namespace RetailDemoApp
{
    public partial class frmCOMPortSettings : Form
    {
        private CommonMenu commonMenu = new CommonMenu();

        #region frmCOMPortSettings() - constructor
        public frmCOMPortSettings()
        {
            InitializeComponent();
            commonMenu.MenuItems[0].MenuItems.RemoveAt(9);
            foreach (MenuItem item in commonMenu.MenuItems[0].MenuItems)
            {
                if (item.Text != "Exit")
                    item.Enabled = false;
            }
            this.Menu = commonMenu;

            EnumeratePorts();
        }
        #endregion

        #region EnumeratePorts()
        /// <summary>
        /// Enumerate available ports and add them to combobox items.
        /// </summary>
        private void EnumeratePorts()
        {
            string[] ports = SerialPort.GetPortNames();
            foreach (string port in ports)
            {
                this.cmbAvailablePorts.Items.Add(port);
            }

            this.cmbAvailablePorts.Invalidate();
        }
        #endregion

        #region Button methods

        //Open selected port.
        private void btnOpenPort_Click(object sender, EventArgs e)
        {
            if ((string)cmbAvailablePorts.SelectedItem != null)
            {
                //Program.Controller.Init((string)cmbAvailablePorts.SelectedItem);
                //Program.Manager.AttachToEvent();
                Program.Manager.ShowForm(FormName.WaitScreen);
            }
        }

        #endregion
    }
}