﻿using System;
using System.Windows.Forms;
using Nedap.HandheldApi;

namespace RetailDemoApp
{
    public partial class frmDetectorSettings : Form
    {
        #region Properties

        private CommonMenu commonMenu = new CommonMenu();
        private int antenna;

        #endregion

        #region frmDetectorSettings() - constructor
        public frmDetectorSettings()
        {
            InitializeComponent();

            commonMenu.MenuItems[0].MenuItems.RemoveAt(8);
            this.Menu = commonMenu;
        }
        #endregion

        #region Events

        #region ckbOff_CheckStateChanged(object sender, EventArgs e)
        private void ckbOff_CheckStateChanged(object sender, EventArgs e)
        {
            antenna = 0;

            if (ckbOff.Checked)
            {
                antenna = 1;
                Program.Controller.Session.RfidSetRegion(RfidRegion.Europe);
            }

            Program.Controller.Session.RfidSetCWSignal(true, antenna);
        }
        #endregion

        #region btnVibrate_Click(object sender, EventArgs e)
        private void btnVibrate_Click(object sender, EventArgs e)
        {
            Program.Controller.Facade.UIVibrate();
        }
        #endregion

        #region btnBeep_Click(object sender, EventArgs e)
        private void btnBeep_Click(object sender, EventArgs e)
        {
            Program.Controller.Facade.UIPlay(UITune.Short);
        }
        #endregion

        #region btnDisconnect_Click(object sender, EventArgs e)
        private void btnDisconnect_Click(object sender, EventArgs e)
        {
            Program.Controller.Session.HandheldDisconnect();
        }
        #endregion

        #endregion
    }
}