using System;
using System.Windows.Forms;
using Nedap.HandheldApi;
using Nedap.HandheldApi.CommunicationPort;
using System.IO.Ports;
using System.Diagnostics;
using System.IO;

namespace RetailDemoApp
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>

        internal static Controller Controller { get; set; }
        internal static FormsManager Manager { get; private set; }
        internal static string ApplicationName { get { return "Nedap Retail Demo"; } }

#if DEBUG
        private static log4net.ILog log;
#endif

        [MTAThread]
        static void Main()
        {
#if DEBUG
            log4net.Config.XmlConfigurator.Configure();

            log = log4net.LogManager.GetLogger("Programm");
            log.Debug("******************* APPLICATION START **************************");
#endif

            Program.Controller = new Controller();
            Manager = new FormsManager();
            Application.Run(Manager.GetCurrentForm());

            //Dispose controller on application exit
            if (Controller != null)
            {
                Controller.Dispose();
            }

            //Dispose forms manager on application exit
            Manager.Dispose();
#if DEBUG
            log.Debug("******************* APPLICATION STOP **************************");


            // This will shutdown the log4net system
            log4net.LogManager.Shutdown();
#endif
        }
    }
}