﻿using System;

namespace Nedap.EPC.TDT
{
    /// <summary>
    /// Simple version of a Trie structure used for quickly finding a
    /// matching prefix.
    /// </summary>
    public class PrefixMatch
    {   
        /// <summary>
        /// Represents GS1 prefix
        /// </summary>
        public string Prefix { get; set; }
        /// <summary>
        /// Represents scheme of TDT XML definition
        /// </summary>
        public Scheme SchemeData { get; set; }
        /// <summary>
        /// Represents a level of representation
        /// </summary>
        public Level LevelData { get; set; }
        /// <summary>
        ///  Constructor for PrefixMatch class
        /// </summary>
        /// <param name="prefix">Prefix match</param>
        /// <param name="scheme">Scheme data</param>
        /// <param name="level">Level of representation</param>
        public PrefixMatch(string prefix, Scheme scheme, Level level)
        {
            Prefix = prefix;
            SchemeData = scheme;
            LevelData = level;
        }
    }
}
