﻿using System;
namespace Nedap.HandheldApi.CommunicationQueue
{
    internal interface ICommunicationQueue : IDisposable
    {        
        /// <summary>
        /// Send command to queue
        /// </summary>
        /// <param name="command">Command</param>
        /// <param name="data">Data</param>
        void SendCommand(Nedap.HandheldApi.Session.Command command, byte[] data);

        /// <summary>
        /// Response has been received
        /// </summary>
        event EventHandler<ResponseReceivedEventArgs> OnResponseReceived;
    }
}
