﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Nedap.HandheldApi
{
    /// <summary>
    /// Used as an argument for OnFailWriteEPC event.
    /// </summary>
    public class FailWriteEpcEventArgs : EventArgs
    {
        private bool moreTagsAvailable;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="moreTagsAvailable"></param>
        public FailWriteEpcEventArgs(bool moreTagsAvailable)
        {
            this.moreTagsAvailable = moreTagsAvailable;
        }

        /// <summary>
        /// Indicates if more tags are available.
        /// </summary>
        public bool MoreTagsAvailable 
        { 
            get
            {
                return moreTagsAvailable;
            }
        }
    }
}
