﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Nedap.HandheldApi
{
    /// <summary>
    /// Used as an argument for OnReadBarcode event.
    /// </summary>
    public class ReadBarcodeEventArgs : EventArgs
    {
        private string barcode;
        private BarcodeType barcodeType;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="barcode"></param>
        /// <param name="barcodeType"></param>
        public ReadBarcodeEventArgs(string barcode, BarcodeType barcodeType)
        {
            this.barcode = barcode;
            this.barcodeType = barcodeType;
        }

        /// <summary>
        /// Barcode value which is read by the handheld.
        /// </summary>
        public string Barcode
        {
            get
            {
                return barcode;
            }
        }
        /// <summary>
        /// Barcode type which is read by the handheld.
        /// </summary>
        public BarcodeType BarcodeType
        {
            get
            {
                return barcodeType;
            }
        }
    }
}
