﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Nedap.HandheldApi
{
    /// <summary>
    /// Used as an argument for OnReadDetailedTagInformation event.
    /// </summary>
    public class ReadDetailedTagInformationEventArgs : EventArgs
    {
        private RfidEpcMdid tagMdid;
        private int tagModelNumber;
        private bool tagXtid;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="tagMdid"></param>
        /// <param name="tagModelNumber"></param>
        /// <param name="tagXtid"></param>
        public ReadDetailedTagInformationEventArgs(RfidEpcMdid tagMdid, int tagModelNumber, bool tagXtid)
        {
            this.tagMdid = tagMdid;
            this.tagModelNumber = tagModelNumber;
            this.tagXtid = tagXtid;
        }

        /// <summary>
        /// RFID MDID value which is received from the handheld.
        /// </summary>
        public RfidEpcMdid TagMdid
        {
            get
            {
                return tagMdid;
            }
        }
        /// <summary>
        /// RFID model number value which is received from the handheld.
        /// </summary>
        public int TagModelNumber
        {
            get
            {
                return tagModelNumber;
            }
        }

        /// <summary>
        /// RFID XTID value which is received from the handheld.
        /// </summary>
        public bool TagXtid
        {
            get
            {
                return tagXtid;
            }
        }
    }
}
