﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Nedap.HandheldApi
{
    /// <summary>
    /// Used as an argument for OnReadNfcCard event.
    /// </summary>
    public class ReadNfcCardEventArgs : EventArgs
    {
        private int cardNumber;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="cardNumber"></param>
        public ReadNfcCardEventArgs(int cardNumber)
        {
            this.cardNumber = cardNumber;
        }

        /// <summary>
        /// Card number value which is received from the handheld.
        /// </summary>
        public int CardNumber
        {
            get
            {
                return cardNumber;
            }
        }
    }
}
