﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Nedap.HandheldApi
{
    /// <summary>
    /// Used as an argument for OnReadRfidTag event.
    /// </summary>
    public class ReadRfidTagEventArgs : EventArgs
    {
        private EpcObservation epcObservation;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="epcObservation"></param>
        public ReadRfidTagEventArgs(EpcObservation epcObservation)
        {
            this.epcObservation = epcObservation;
        }

        /// <summary>
        /// RFID tag value which is received from the handheld.
        /// </summary>
        public EpcObservation EpcObservation
        {
            get
            {
                return epcObservation;
            }
        }
    }
}
