﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;

namespace Nedap.HandheldApi
{
    /// <summary>
    /// Used as an argument for OnReadRfidTags event.
    /// </summary>
    public class ReadRfidTagsEventArgs : EventArgs
    {
        private Collection<EpcObservation> epcObservations;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="epcObservations"></param>
        public ReadRfidTagsEventArgs(Collection<EpcObservation> epcObservations)
        {
            this.epcObservations = epcObservations;
        }

        /// <summary>
        /// RFID tag values which are received from the handheld.
        /// </summary>
        public Collection<EpcObservation> EpcObservations
        {
            get
            {
                return epcObservations;
            }
        }
    }
}