﻿using System;
using System.Collections.ObjectModel;

namespace Nedap.HandheldApi
{
    /// <summary>
    /// Used as an argument for OnReadRfidTagFiltered event.
    /// </summary>
    public class ReadRfidTagsFilteredEventArgs : EventArgs
    {
        private Collection<EpcObservation> epcObservationCollection;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="epcObservationCollection"></param>
        public ReadRfidTagsFilteredEventArgs(Collection<EpcObservation> epcObservationCollection)
        {
            this.epcObservationCollection = epcObservationCollection;
        }

        /// <summary>
        /// RFID tag value collection which is received from the handheld.
        /// </summary>
        public Collection<EpcObservation> EpcObservationCollection
        {
            get
            {
                return epcObservationCollection;
            }
        }
    }
}
