﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Nedap.HandheldApi
{
    /// <summary>
    /// Used as an argument for OnReceiveBatteryPercentage event.
    /// </summary>
    public class ReceiveBatteryPercentageEventArgs : EventArgs
    {
        private int percentage;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="percentage"></param>
        public ReceiveBatteryPercentageEventArgs(int percentage)
        {
            this.percentage = percentage;
        }

        /// <summary>
        /// Battery voltage value which is received from the handheld.
        /// </summary>
        public int Percentage
        {
            get
            {
                return percentage;
            }
        }
    }
}
