﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Nedap.HandheldApi
{
    /// <summary>
    /// Used as an argument for OnReceiveSupportedRegions event.
    /// </summary>
    public class ReceiveSupportedRegionsEventArgs : EventArgs
    {
        private int regionFlags;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="regionFlags"></param>
        public ReceiveSupportedRegionsEventArgs(int regionFlags)
        {
            this.regionFlags = regionFlags;
        }

        /// <summary>
        /// Region flag value which is received from the handheld.
        /// </summary>
        public int RegionFlags
        {
            get
            {
                return regionFlags;
            }
        }
    }
}
