﻿using System;


namespace Nedap.HandheldApi
{
    /// <summary>
    /// This structure holds basic information about handheld device
    /// </summary>
    public class DeviceInfo
    {
        /// <summary>
        /// This property holds Nedap production code in folowing format: year month day modification char serial number
        /// </summary>
        public string NedapProductionCode { get; set; }

        /// <summary>
        /// This property holds string value for serial number of device.
        /// </summary>
        public string SerialNumber { get; set; }
        
        /// <summary>
        /// This property holds string value for model number.
        /// </summary>
        public string ModelNumber { get; set; }

        /// <summary>
        /// This property holds string value of firmare version in format x.x.x.
        /// </summary>
        public string FirmwareVersion { get; set; }

        /// <summary>
        /// This property holds string value of firmare version in format x.x.x.
        /// </summary>
        public string HardwareVersion { get; set; }

        /// <summary>
        /// Device info class constructor
        /// </summary>
        /// <param name="serialNumber"></param>
        /// <param name="modelNumber"></param>
        /// <param name="firmwareVersion"></param>
        /// <param name="hardwareVersion"></param>
        public DeviceInfo(string serialNumber, string modelNumber, string firmwareVersion, string hardwareVersion)
        {
            NedapProductionCode = serialNumber;
            ModelNumber = modelNumber;
            FirmwareVersion = firmwareVersion;
            HardwareVersion = hardwareVersion;
        }
    }
}
