﻿using System;


namespace Nedap.HandheldApi
{
    /// <summary>
    /// Event arguments for handheld did receive battery percentage event.
    /// </summary>
    public class HandheldReceiveBatteryPercentageEventArgs : EventArgs
    {
        /// <summary>
        /// Integer property that holds battery charge percentage.
        /// </summary>
        public int Percentage { get; private set; }

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="percentage"></param>
        public HandheldReceiveBatteryPercentageEventArgs(int percentage)
        {
            Percentage = percentage;
        }
    }
}
