﻿using System;


namespace Nedap.HandheldApi
{
    /// <summary>
    /// Event arguments for RFID did read barcode event.
    /// </summary>
    public class RfidReadABarcodeEventArgs : EventArgs
    {
        /// <summary>
        /// String property that holds barcode that is read.
        /// </summary>
        public string Barcode { get; private set; }
        /// <summary>
        /// Enum that holds type of read barcode.
        /// </summary>
        public BarcodeType BarcodeType{ get; private set; }

        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="barcode"></param>
        /// <param name="barcodeType"></param>
        public RfidReadABarcodeEventArgs(String barcode, BarcodeType barcodeType)
        {
            Barcode = barcode;
            BarcodeType = barcodeType;
        }
    }
}
