﻿using System;


namespace Nedap.HandheldApi
{
    /// <summary>
    /// Event arguments for RFID did read data event.
    /// </summary>
    public class RfidReadDataEventArgs : EventArgs
    {
        /// <summary>
        /// Byte array property that holds dada that was read from RFID
        /// </summary>
        public byte[] Data { get; private set; }
        /// <summary>
        /// Boolian property that presents if more tags are available.
        /// </summary>
        public bool MoreTagsAvailable { get; set; }

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="data"></param>
        /// <param name="moreTagsAvailable"></param>
        public RfidReadDataEventArgs(byte[] data, bool moreTagsAvailable)
        {
            Data = data;
            MoreTagsAvailable = moreTagsAvailable;
        }
    }
}
