﻿using System;


namespace Nedap.HandheldApi
{
    /// <summary>
    /// Event arguments for RFID did read tag event.
    /// </summary>
    public class RfidReadTagEventArgs : EventArgs
    {
        /// <summary>
        /// EpcObservation property that holds EpcObservation object that was read from tag.
        /// </summary>
        public EpcObservation EpcObservation { get; private set; }

        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="epcObservation"></param>
        public RfidReadTagEventArgs(EpcObservation epcObservation)
        {
            EpcObservation = epcObservation;
        }
    }
}
