﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace RetailDemoApp
{
    /// <summary>
    /// Main menu implementation with menu items and event handlers. Used as MeinMenu in all forms.
    /// </summary>
    partial class CommonMenu : MainMenu
    {
        #region Private

        private MenuItem mainMenu = new MenuItem();

        private MenuItem inventory = new MenuItem();
        private MenuItem highVolumeInventory = new MenuItem();
        private MenuItem monitor = new MenuItem();
        private MenuItem barcode = new MenuItem();
        private MenuItem nfcCard = new MenuItem();
        private MenuItem readSingle = new MenuItem();
        private MenuItem write = new MenuItem();
        private MenuItem battery = new MenuItem();
        private MenuItem detectorSettings = new MenuItem();
        private MenuItem empty = new MenuItem();
        private MenuItem exit = new MenuItem();

        #endregion

        #region CommonMenu() - constructor
        public CommonMenu()
        {
            #region Text property

            mainMenu.Text = "Menu";

            inventory.Text = "Inventory";
            highVolumeInventory.Text = "High Volume Inventory";
            monitor.Text = "Monitor";
            barcode.Text = "Barcode";
            nfcCard.Text = "NFC Card";
            readSingle.Text = "Read Single";
            write.Text = "Write";
            battery.Text = "Battery";
            detectorSettings.Text = "Detector settings";
            empty.Text = "-";
            exit.Text = "Exit";

            #endregion

            #region OnClick property

            inventory.Click += new EventHandler(_inventory_Click);
            highVolumeInventory.Click += new EventHandler(highVolumeInventory_Click);
            monitor.Click += new EventHandler(_monitor_Click);
            barcode.Click += new EventHandler(_barcode_Click);
            nfcCard.Click += new EventHandler(_NFCCard_Click);
            readSingle.Click += new EventHandler(_readSingle_Click);
            write.Click += new EventHandler(_write_Click);
            battery.Click += new EventHandler(_battery_Click);
            detectorSettings.Click += new EventHandler(_detectorSettings_Click);
            exit.Click += new EventHandler(_exit_Click);

            #endregion

            #region Add items

            this.MenuItems.Add(mainMenu);

            this.mainMenu.MenuItems.Add(inventory);
            this.mainMenu.MenuItems.Add(highVolumeInventory);
            this.mainMenu.MenuItems.Add(monitor);
            this.mainMenu.MenuItems.Add(barcode);
            this.mainMenu.MenuItems.Add(nfcCard);
            this.mainMenu.MenuItems.Add(readSingle);
            this.mainMenu.MenuItems.Add(write);
            this.mainMenu.MenuItems.Add(battery);
            this.mainMenu.MenuItems.Add(detectorSettings);
            this.mainMenu.MenuItems.Add(empty);
            this.mainMenu.MenuItems.Add(exit);

            #endregion
        }
        #endregion

        #region Events region

        private void _inventory_Click(object sender, EventArgs e)
        {
            Program.Manager.ShowForm(FormName.Inventory);
        }
        void highVolumeInventory_Click(object sender, EventArgs e)
        {
            Program.Manager.ShowForm(FormName.HighVolumeInventory);
        }

        private void _monitor_Click(object sender, EventArgs e)
        {
            Program.Manager.ShowForm(FormName.Monitor);
        }

        private void _barcode_Click(object sender, EventArgs e)
        {
            Program.Manager.ShowForm(FormName.Barcode);
        }

        private void _NFCCard_Click(object sender, EventArgs e)
        {
            Program.Manager.ShowForm(FormName.NFCCard);
        }

        private void _readSingle_Click(object sender, EventArgs e)
        {
            Program.Manager.ShowForm(FormName.Read);
        }

        private void _write_Click(object sender, EventArgs e)
        {
            Program.Manager.ShowForm(FormName.Write);
        }

        private void _battery_Click(object sender, EventArgs e)
        {
            Program.Manager.ShowForm(FormName.Battery);
        }

        private void _detectorSettings_Click(object sender, EventArgs e)
        {
            Program.Manager.ShowForm(FormName.DetectorSettings);
        }

        private void _exit_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        #endregion
    }
}