//
//  EPCCode.h
//  EPCGlobalTDS
//
//  Created by Jasper Kremer on 12-07-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <Foundation/Foundation.h>

@interface EPCCode : NSObject {
	/**
	 Contains the EPC code as how it's stored in an RFID tag - binary data.
	 */
	NSData *binaryData;

	/**
	 Contains the EPC code as how it's stored in an RFID tag - in a string with ones and zeros.
	 */
	NSString *binaryString;
    
    NSUInteger hash;
	
	NSString *hexString;
	NSString *tagEncoding;
	NSString *pureIdentityURI;
	NSString *legacy;
	NSString *onsHostname;
}

@property (nonatomic, retain, readonly) NSData *binaryData;
@property (nonatomic, retain, readonly) NSString *binaryString;
@property (nonatomic, retain, readonly) NSString *hexString;
@property (nonatomic, retain, readonly) NSString *tagEncoding;
@property (nonatomic, retain, readonly) NSString *pureIdentityURI;
@property (nonatomic, retain, readonly) NSString *legacy;
@property (nonatomic, retain, readonly) NSString *onsHostname;
@property (nonatomic, readonly) NSUInteger hash;


+ (id)codeWithBinaryData:(NSData *)someData;
+ (id)codeWithString:(NSString *)aString;
+ (id)codeWithGTIN14:(NSString *)GTIN14 serialNumber:(NSNumber *)serial companyPrefixLength:(NSUInteger)companyPrefixLength;

- (id)initWithBinaryData:(NSData *)someData;
- (id)initWithString:(NSString *)aString;
- (id)initWithGTIN14:(NSString *)GTIN14 serialNumber:(NSNumber *)serial companyPrefixLength:(NSUInteger)companyPrefixLength;

- (NSUInteger)lengthInBits;

- (BOOL)isEqual:(id)anObject;
- (BOOL)isEqualToEPCCode:(EPCCode *)anEPCCode;
- (NSUInteger)hash;

@end
