#import <SenTestingKit/SenTestingKit.h>
#import <UIKit/UIKit.h>

#import "EPCGlobalTDS.h"

@interface SGLN96Tests : SenTestCase { }
@end

@implementation SGLN96Tests

- (void)testValidBinaryOutput {
	NSString *result = [EPCTDTEngine translate:@"gln=0073796001506;serial=1" withParameterList:@"taglength=96;filter=0;gs1companyprefixlength=7" outputFormat:@"BINARY"];
	STAssertEqualObjects(result, @"001100100001010000000100100000010001000000000001001011000000000000000000000000000000000000000001", @"Validate binary output format");
}

- (void)testValidTagURIOutput {
	NSString *result = [EPCTDTEngine translate:@"gln=0073796001506;serial=1" withParameterList:@"taglength=96;filter=0;gs1companyprefixlength=7" outputFormat:@"TAG_ENCODING"];
	STAssertEqualObjects(result, @"urn:epc:tag:sgln-96:0.0073796.00150.1", @"Validate tag URI output format");
}

- (void)testValidPureIdentityOutput {
	NSString *result = [EPCTDTEngine translate:@"gln=0073796001506;serial=1" withParameterList:@"taglength=96;filter=0;gs1companyprefixlength=7" outputFormat:@"PURE_IDENTITY"];
	STAssertEqualObjects(result, @"urn:epc:id:sgln:0073796.00150.1", @"Validate pure identity output format");
}

- (void)testValidLength {
	NSString *result = [EPCTDTEngine translate:@"001100100001010000000100100000010001000000000001001011000000000000000000000000000000000000000001" withParameterList:@"taglength=96;filter=0;gs1companyprefixlength=7" outputFormat:@"LEGACY"];
	STAssertEqualObjects(result, @"gln=0073796001506;serial=1", @"Validate if the length is valid");
}

@end