//
//  NHDefines.h
//  NedapHandheldAPI
//
//  Created by Danny Haak on 04-09-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <Foundation/Foundation.h>

/**
	Region where the handheld will be used. Please note that not all regions might be supported by the current hardware.
 */
typedef enum {
	NHRFIDRegionUndefined		= 0,
	NHRFIDRegionEurope			= 1,
	NHRFIDRegionNorthAmerica	= 2,
	NHRFIDRegionKorea			= 4,
	NHRFIDRegionChina			= 8,
    NHRFIDRegionIndia           = 16
} NHRFIDRegion;

typedef enum {
	NHRFIDFrequencyEurope865700 = 865700,
	NHRFIDFrequencyEurope866300 = 866300,
	NHRFIDFrequencyEurope866900 = 866900,
	NHRFIDFrequencyEurope867500 = 867500
} NHRFIDFrequency;

/**
 Barcode types that will be read by the barcode reader.
 */
typedef enum {
	NHBarcodeTypeAll				= 0,
	NHBarcodeTypeEAN8				= 1,
	NHBarcodeTypeEAN13				= 2,
	NHBarcodeTypeUPCA				= 3,
	NHBarcodeTypeUPCE				= 4,
	NHBarcodeTypeEAN128				= 5,
	NHBarcodeTypeCodabar			= 6,
	NHBarcodeTypeCode11				= 7,
	NHBarcodeTypeCode39				= 8,
	NHBarcodeTypeCode93				= 9,
	NHBarcodeTypeEANBookland		= 10,
	NHBarcodeTypeDiscrete2of5		= 11,
	NHBarcodeTypeInterleaved2of5	= 12,
	NHBarcodeTypeCode128			= 13,
	NHBarcodeTypeMSI				= 14,
	NHBarcodeTypeGS1Databar			= 15,
	NHBarcodeTypeUnknown			= 0xFF
} NHBarcodeType;

typedef enum {
	NHRFIDMemoryBankReserved	= 0,
	NHRFIDMemoryBankEPC			= 1,
	NHRFIDMemoryBankTID			= 2,
	NHRFIDMemoryBankUserMemory	= 3
} NHRFIDMemoryBank;

typedef enum {
	NHRFIDSession0	= 0,
	NHRFIDSession1	= 1,
	NHRFIDSession2	= 2,
	NHRFIDSession3	= 3
} NHRFIDSession;

typedef enum {
	NHRFIDTargetA = 0,
	NHRFIDTargetB = 1
} NHRFIDTarget;

typedef enum {
	NHRFIDMValue0 = 0,
	NHRFIDMValue2 = 1,
	NHRFIDMValue4 = 2,
	NHRFIDMValue8 = 3
} NHRFIDMValue;

/**
	Tag manufacturer identification. Available on the internet at http://www.epcglobalinc.org/standards/mdid/.
 */
typedef enum {
	NHRFIDMDIDImpinj				= 0x001,
	NHRFIDMDIDTexasInstruments		= 0x002,
	NHRFIDMDIDAlienTechnology		= 0x003,
	NHRFIDMDIDIntelleflex			= 0x004,
	NHRFIDMDIDAtmel					= 0x005,
	NHRFIDMDIDNXP					= 0x006,
	NHRFIDMDIDSTMicroelectronics	= 0x007,
	NHRFIDMDIDEPMicroelectronics	= 0x008,
	NHRFIDMDIDMotorola				= 0x009,
	NHRFIDMDIDSentechSndBhd			= 0x00A, 
	NHRFIDMDIDEMMicroelectronics	= 0x00B,
	NHRFIDMDIDRenesasTechnology		= 0x00C,
	NHRFIDMDIDMstar					= 0x00D,
	NHRFIDMDIDTycoInternational		= 0x00E,
	NHRFIDMDIDQuanrayElectronics	= 0x00F,
	NHRFIDMDIDFujitsu				= 0x010,
	NHRFIDMDIDLSIS					= 0x011,
	NHRFIDMDIDCaenRFID				= 0x012,
	NHRFIDMDIDPEG					= 0x013
} NHRFIDMDID;

typedef enum {
    NHRFIDTagIDImpinjMonza4QT   = 0x105,
    NHRFIDTagIDImpinjMonza4U    = 0x104,
    NHRFIDTagIDImpinjMonza4E    = 0x01C,
    NHRFIDTagIDImpinjMonza4D    = 0x100,
    NHRFIDTagIDNXPG2iL          = 0x806,
    NHRFIDTagIDAlienHiggs2      = 0x411,
    NHRFIDTagIDAlienHiggs3      = 0x412
} NHRFIDTagID;

typedef enum {
	NHUITuneShort	= 0,
	NHUITuneSuccess	= 1,
	NHUITuneFailure	= 2,
} NHUITune;