//
//  NHEPCObservation.h
//  NedapHandheldAPI
//
//  Created by Danny Haak on 04-09-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <Foundation/Foundation.h>

@class EPCCode;

@interface NHEPCObservation : NSObject <NSCopying> {
	EPCCode *epcCode;
	NSDate *timeStamp;
	NSUInteger rssi;
	NSUInteger readCount;
}

@property (nonatomic, retain, readonly) EPCCode *epcCode;
@property (nonatomic, retain, readonly) NSDate *timeStamp;
@property (nonatomic, readonly) NSUInteger rssi;
@property (nonatomic, readonly) NSUInteger antenna;
/**
	Read count in the current read cycle. Since most readcycles will be smaller than one second, only in Session 0 this value will be more than one.
 */
@property (nonatomic, readonly) NSUInteger readCount;

- (id)initWithEPCCode:(EPCCode *)theEPC timeStamp:(NSDate *)theTimeStamp rssi:(NSUInteger)theRssi readCount:(NSUInteger)theReadCount;
- (BOOL)isEqual:(id)anObject;
- (BOOL)isEqualToNHEPCObservation:(NHEPCObservation *)anNHEPCObservation;
- (NSUInteger)hash;

@end
