//
//  NHEPCObservation.m
//  NedapHandheldAPI
//
//  Created by Danny Haak on 04-09-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import "NHEPCObservation.h"
#import "EPCCode.h"

@implementation NHEPCObservation

@synthesize epcCode, timeStamp, rssi, antenna, readCount;

- (id)initWithEPCCode:(EPCCode *)theEPC timeStamp:(NSDate *)theTimeStamp rssi:(NSUInteger)theRssi readCount:(NSUInteger)theReadCount
{
	self = [super init];
	if (nil != self) {
		[theEPC retain];
        [theTimeStamp retain];
        
		epcCode = theEPC;
		timeStamp = theTimeStamp;
		rssi = theRssi;
		readCount = theReadCount;
	}
    return self;
}

- (BOOL)isEqual:(id)anObject;
{
    if (anObject == self)
        return YES;
    if (!anObject || ![anObject isKindOfClass:[self class]])
        return NO;
    return [self isEqualToNHEPCObservation:anObject];
}

- (BOOL)isEqualToNHEPCObservation:(NHEPCObservation *)anNHEPCObservation;
{
	return [epcCode isEqual:anNHEPCObservation.epcCode];
}

- (NSUInteger)hash
{
    return [epcCode hash];
}

- (void)dealloc {
    [epcCode release];
    [timeStamp release];
    
	epcCode = nil;
	timeStamp = nil;
	
	[super dealloc];
}

- (id)copyWithZone:(NSZone *)zone
{
    NHEPCObservation *copy = [[[self class] allocWithZone:zone]
							  initWithEPCCode:self.epcCode
							  timeStamp:self.timeStamp
							  rssi:self.rssi
							  readCount:self.readCount];
    return copy;
}

@end
