//
//  NHPresentationActions.h
//  NedapHandheldAPI
//
//  Created by Danny Haak on 27-07-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <Foundation/Foundation.h>

@class NHSession;

@interface NHPresentation()

#pragma mark -
#pragma mark State actions during transitions

#pragma mark general

- (void)actionHandheldConnected;
- (void)actionHandheldDisconnected;
- (void)actionHandheldConfigure;
- (void)actionHandheldBootloader;
- (void)actionHandheldBootloaderNextPage;
- (void)actionHandheldBootloaderCRC;

#pragma mark user interaction

- (void)actionUILedSetBlinking:(BOOL)blinking;
- (void)actionUIVibrateTuneShort;
- (void)actionUIVibrateTune:(NHUITune)vibrateTune;
- (void)actionUITuneShort;
- (void)actionUITune:(NHUITune)beepTune;

#pragma mark rfid

- (void)actionRFIDSetMaxEPCLength:(NSUInteger)theMaxEPCLength;
- (void)actionRFIDSetMValue:(NHRFIDMValue)theMValue;
- (void)actionRFIDSetQValue:(NSUInteger)theQValue :(BOOL)dynamic;
- (void)actionRFIDSetSession:(NHRFIDSession)theSession;
- (void)actionRFIDSwitchSession;
- (void)actionRFIDSetTarget:(NHRFIDTarget)theTarget :(BOOL)toggle;
- (void)actionRFIDSetTimeout:(NSUInteger)timeout;
- (void)actionRFIDSetSelectLastRead;
- (void)actionRFIDSetSelectLastWritten;
- (void)actionRFIDResetSelect;
- (void)actionRFIDSetReadPower:(NSUInteger)power;

- (void)actionRFIDReadEPC;

- (void)actionRFIDWriteEPC;

- (void)actionRFIDReadDetailedTagInformation:(NSUInteger)power;

#pragma mark barcode

- (void)actionBarcodeTypesSet;
- (void)actionBarcodeRead;

#pragma mark nfc

- (void)actionNFCTryToReadCard;

#pragma mark other

- (void)actionOtherPostNotification:(NSString *)notificationName;
- (void)actionLogError:(NSString *)errorName;
- (void)actionLogEvent:(NSString *)eventName;
- (void)actionLogTimedEvent:(NSString *)eventName;
- (void)actionLogEndTimedEvent:(NSString *)eventName;
- (void)actionLogEndCurrentTimedEvent;

#pragma mark -
#pragma mark timer

- (void)startTimer:(NSString *)timer :(int)duration;
- (void)stopTimer:(NSString *)timer;
- (void)resetTimer:(NSString *)timer;

#pragma mark -

- (NSUInteger)_rfidReadOffTime;

@end