//
//  NHSelect.h
//  NedapHandheldAPI
//
//  Created by Danny Haak on 30-08-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <Foundation/Foundation.h>

#import "NHDefines.h"

@class EPCCode;

@interface NHSelect : NSObject {
	NHRFIDMemoryBank memoryBank; //!< Memory bank used in select
	NSUInteger addressInBits; //!< Address for start of select in bits
	NSUInteger dataLengthInBits; //!< Length of select in bits
	NSData *data; //!< Actual select data
	BOOL invert; //!< Select is inverted or not
}

@property (nonatomic) NHRFIDMemoryBank memoryBank;
@property (nonatomic) NSUInteger addressInBits;
@property (nonatomic) NSUInteger dataLengthInBits;
@property (nonatomic, retain) NSData *data;
@property (nonatomic) BOOL invert;

+ (id)selectWithEPCCode:(EPCCode *)epc;

/**
	Initialize a select statement based on an EPC code.
	@param epc epc code
	@returns returns a select statement
 */
- (id)initWithEPCCode:(EPCCode *)epc;


@end
