//
//  NHSelect.m
//  NedapHandheldAPI
//
//  Created by Danny Haak on 30-08-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import "NHSelect.h"

#import "EPCGlobalTDS.h"

@implementation NHSelect

@synthesize memoryBank, addressInBits, dataLengthInBits, data, invert;

+ (id)selectWithEPCCode:(EPCCode *)epc
{
	return [[[self alloc] initWithEPCCode:epc] autorelease];
}

- (id)initWithEPCCode:(EPCCode *)epc
{
	self = [super init];
	if (nil != self) {
		memoryBank = NHRFIDMemoryBankEPC;
		addressInBits = 32;
		dataLengthInBits = [epc lengthInBits];
		data = [[epc binaryData] copy];
		invert = NO;
	}
    return self;
}

- (NSString *)description {
	return [NSString stringWithFormat:@"Select on memoryBank: %i, addressInBits: %i, dataLengthInBits: %i, data: %@", memoryBank, addressInBits, dataLengthInBits, [EPCConvert convertToHexStringFromData:data]];
}

- (void)dealloc {
	[data release];
	
	data = nil;
	
	[super dealloc];
}

@end
