//
//  OtherViewController.m
//  NedapHandheldAPIDemo
//
//  Created by Danny Haak on 30-12-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import "OtherViewController.h"

#import "NedapHandheldAPI.h"

@implementation OtherViewController

@synthesize antennaSwitch, cwSwitch, barcodeSwitch;

// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.title = NSLocalizedString(@"Other Settings",nil);
    
    // Make navigation bar buttons in nicer color
    self.navigationController.navigationBar.tintColor = UICOLOR_PURPLE;
    
    // Set nicer background
	self.view.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageWithContentsOfFile:[[NSBundle mainBundle] pathForResource:@"background_stripes" ofType:@"png"]]];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void) setBarcode
{
    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
    [defaults setValue:[NSNumber numberWithBool:barcodeSwitch.on] forKey:@"readAllBarcodes"];
    
#ifdef DEBUG
    NSLog(@"%@:setBarcode: readAllBarcodes set to %@", [self class], barcodeSwitch.on ? @"YES" : @"NO");
#endif
}

- (void)setCW
{
	BOOL on = cwSwitch.on;
	
	// get antenna
	NSUInteger antenna = 0;
	if (antennaSwitch.on)
		antenna = 1;
	
	if (on)
	{
		[NHSession rfidSetRegion:NHRFIDRegionEurope];
	}
	
	[NHSession rfidSetCWSignal:on onAntenna:antenna];
}

- (IBAction)disconnect:(id)sender
{
	[NHSession handheldDisconnect];
}

- (IBAction)beep:(id)sender
{
	[NHSession uiPlayTune:NHUITuneSuccess];
}

- (IBAction)cw:(id)sender
{
	[self setCW];
}

- (IBAction)cwantenna:(id)sender
{
	[self setCW];
}

- (IBAction)barcode:(id)sender 
{
	[self setBarcode];
}

- (IBAction)vibrate:(id)sender
{
	[NHSession uiVibrate];
}

- (IBAction)fail:(id)sender;
{
	[NHSession uiPlayTune:NHUITuneFailure];
	[NHSession uiVibrateTune:NHUITuneFailure];
}

- (IBAction)success:(id)sender;
{
	[NHSession uiPlayTune:NHUITuneSuccess];
	[NHSession uiVibrateTune:NHUITuneSuccess];
}

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
